### File

`packages/ecl/components/ecl-site-header/custom-action/ecl-site-header-custom-action.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `div[eclSiteHeaderCustomActionTitle]`

### Index

###### Properties
className
###### Methods
getCssClasses
###### Inputs
id class e2eAttr tabindex
###### HostBindings
class.ecl-site-header__custom-action-title

### Inputs

id
Type : `string`
Default value : `'custom-action-overlay-title'`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-site-header__custom-action-title
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-site-header__custom-action-title')`

# results matching ""

# No results matching ""